use std::io;
use std::os::unix::net::UnixStream;

fn main() {
    let mut stream = match UnixStream::connect("/tmp/clichess.socket") {
        Ok(sock) => sock,
        Err(_) => {
            println!("clichess daemon is not running.");
            return;
        }
    };
    let mut buffer = String::new();
    let input = clichess::read_from_stream(&stream);
    println!("{}", input);
    io::stdin().read_line(&mut buffer).unwrap();
    clichess::write_to_stream(&mut stream, String::from(buffer.trim()));
    let response = clichess::read_from_stream(&stream);
    println!("{}", response);
}
